1. CARD
Español
  • Español
  • English
  • Kushki Docs Colombia
  • Online Payments
    • CARD
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Create payment (tokenless)
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Bin Info V2
        GET
      • Verify Account
        POST
      • Reauthorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Validate OTP
        POST
      • Request deferred options
        GET
      • Bin Info
        GET
      • Refund a transaction
        DELETE
    • ANALYTICS
      • Get transactions list v1
      • Get transactions list v2
    • CARD-OUTS
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • TRANSFER IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • TRANSFER OUT
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Delete a cash in transaction
      • Transaction Status
    • CASH-OUT
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • COMMISSIONS
      • Get Commission Configuration
    • PAYMENT-BUTTON
      • Create a payment button
    • PAYMENT-CREDENTIALS
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Search credentials
      • Activate or deactivate
      • Update credential
      • Create a credential
    • SMARTLINKS-V2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • TRANSFER-OUT
      • Balance for Payouts
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
    • TRANSFER-IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • Request a recurring charge token
      • Update recurring charge card data
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Get subscription transactions
    • GATEWAY-STATUS
      • Get gateway status
      • Get platform status
  • Schemas
    • SubscriptionTransactionsResponse
    • Card
    • SubscriptionTransaction
    • currency
    • ErrorResponse
    • Amount
    • extraTaxes
    • Deferred
    • Metadata
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • product
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. CARD

Refund a transaction

DELETE
/v1/refund/{ticketNumber}

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Refund a transaction identified by its ticketNumber. The ticketNumber is provided when a charge or a deferred charge is successful. Remember that the refund process is semi-automatic, so the confirmation you are receiving is to confirm you that the process has begun successfully.

Partial refunds#

For partial refunds it is necessary to send the amount object.
Partial refunds are available in Colombia.

Partial refund request example#

{
  "fullResponse": "v2",
  "amount": {
    "subtotalIva": 8737,
    "subtotalIva0": 9976,
    "ice": 2099,
    "iva": 8967,
    "currency": "COP"
  }
}

WARNING
Got a suggestion on this documentation? Contact Us.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Created
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request DELETE 'https://api-uat.kushkipagos.com/v1/refund/' \
--header 'Private-Merchant-Id;' \
--header 'Idempotency-Key;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fullResponse": "v2",
    "amount": {
        "subtotalIva": 500,
        "subtotalIva0": 0,
        "ice": 0,
        "iva": 0,
        "currency": "COP"
    },
    "webhooks": [
        {
            "events": [
                "approvedTransaction"
            ],
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ],
            "urls": [
                "https://eof2hhkrta4ooo1.m.pipedream.net"
            ]
        }
    ]
}'
Response Response Example
201 - Refund a transaction
{
    "ticketNumber": "661646369681536731",
    "transactionReference": "14d01391-cb66-4b90-bcae-6e3e6b5b2786"
}
Modified at 2026-04-16 23:06:43
Previous
Bin Info
Next
Get transactions list v1
Built with